import React from 'react';

const SideMenu = ({ menuList, onMenuSelect }) =>{
 return (<ul className='vertical-menus'>
    {menuList && menuList.map((item, index) => (
      <li key={index} className='menu-image' onClick={() => onMenuSelect(item)}>
        <img className='img' src={item.icon} alt='' />
        {item.name}
      </li>
    ))}
  </ul>)

};

export default SideMenu;
