import axios from 'axios'
import endpoint from './endpoint.js'
import { BaseUrl } from '../constants/projectConstants.js'

var Url = BaseUrl

const login = async payload => {
  return await axios(Url + endpoint.login, {
    method: 'POST',
    headers: {
      'content-type': 'application/json',
    },
    data: payload,
  }).then((response) => {
    return response
  })
    .catch(error => {
      throw error;
    });
};

const createUser = async payload => {
  return await axios(Url + endpoint.signup, {
    method: 'POST',
    headers: {
      'content-type': 'application/json',
    },
    data: payload,
  }).then((response) => {
    return response
  })
    .catch(error => {
      throw error;
    });
};

// eslint-disable-next-line no-global-assign
export default module = {
  login: login,
  signup: createUser

}


