const initialState = {
  data: null,
  loading: true,
  error: null,
  currentScene: null, 
};

const rootSavedSceneReducer = (state = initialState, action) => {
  switch (action.type) {
    case 'SET_SCENE_HANDLER':
      return {
        ...state,
        currentScene: action.payload,
      };

      case 'GET_SCENE_HANDLER':
        return state;

      case 'CLEAR_SCENE_HANDLER':
      return initialState;

      default:
      return state;
  }
};

export default rootSavedSceneReducer;
